/**
 *
 */
package com.itextpdf.tool.itextdoc.codestyler;

import java.io.IOException;
import java.io.Reader;
import java.util.List;

import com.itextpdf.text.Element;

/**
 * @author redlab
 *
 */
public interface CodeStyler {

	/**
	 * @param r the reader to read the code from
	 * @param target the list for created elements
	 * @throws IOException if could not read from reader
	 */
	public void apply(final Reader r, final List<Element> target) throws IOException;
}
