/**
 *
 */
package com.itextpdf.tool.itextdoc.codestyler.java;

import com.itextpdf.tool.xml.parser.State;

/**
 * @author redlab
 *
 */
public class Comment implements State {

	private final JavaCodeStyleContext ctx;

	/**
	 * @param javaCodeStyleContext
	 */
	public Comment(final JavaCodeStyleContext javaCodeStyleContext) {
		this.ctx = javaCodeStyleContext;

	}
	/* (non-Javadoc)
	 * @see com.itextpdf.tool.xml.parser.State#process(char)
	 */
	@Override
	public void process(final char c) {
		if ('/' == c) {
			ctx.addBuffer(JavaState.NORMAL);
			ctx.buffer('/').buffer('/');
			ctx.setState(JavaState.SINGLE_COMMENT);
		} else if ('*' == c) {
			ctx.setState(JavaState.LONGCOMMENT);
		} else {
			ctx.buffer('/');
			ctx.setState(JavaState.NORMAL);
		}

	}

}
